This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 91587 - rpm -e fails to uninstall
rpm -e fails to uninstall
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 22:36 EDT by Dennis Daniels
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-27 14:01:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Daniels 2003-05-24 22:36:14 EDT
Description of problem:
rpm -e fails

rpm sees a package is there but won't uninstall it or allow to re-installed

Version-Release number of selected component (if applicable):
latest rpm as of 22may

How reproducible:
install j2sdk

Steps to Reproduce:
download]# rpm -iv j2sdk-1_4_2-beta-linux-i586.rpm
Preparing packages for installation...
        package j2sdk-1.4.2-beta is already installed

root@localhost download]# rpm -e j2sdk-1_4_2-beta-linux-i586.rpm
error: package j2sdk-1_4_2-beta-linux-i586.rpm is not installed

root@localhost download]# rpm -e j2sdk-1_4_2-beta
error: package j2sdk-1_4_2-beta is not installed


2.
3.
    
Actual results:
j2sdk not found

Expected results:
j2sdk deleted

Additional info:
Comment 1 Michael Young 2003-05-25 13:55:05 EDT
You haven't got the syntax right. Try rpm -e j2sdk-1.4.2-beta , or even just
rpm -e j2sdk .
Comment 2 Jeff Johnson 2003-05-27 14:01:41 EDT
Yup, a common problem with rpm users is confusing
a package file name (like *.rpm) with a package name.

Only install/upgrade/freshen, or query/verify with a -p
option, or the signature modes, take package file names
as argument.

The package name is used elsewhere.

Note You need to log in before you can comment on or make changes to this bug.